## org.apache.xalan.trace
Interface TraceListener

All Superinterfaces:
  java.util.EventListener

All Known Subinterfaces:
  TraceListenerEx, TraceListenerEx2, TraceListenerEx3

All Known Implementing Classes:
  PrintTraceListener

    public interface TraceListener

extends java.util.EventListener

Interface the XSL processor calls when it matches a source node, selects a set of source nodes, or generates a result node. If you want an object instance to be called when a trace event occurs, use the TransformerImpl setTraceListener method.

See Also:
  `TracerEvent`, `TraceManager.addTraceListener(org.apache.xalan.trace.TraceListener)`
Usage:
  **For advanced use only**

Method Summary
`void` `generated(GenerateEvent ev)` Method that is called just after the formatter listener is called.
`void` `selected(SelectionEvent ev)` Method that is called just after the formatter listener is called.
`void` `trace(TracerEvent ev)` Method that is called when a trace event occurs.

Method Detail

### trace

    void trace(TracerEvent ev)

  Method that is called when a trace event occurs. The method is blocking. It must return before processing continues.

  Parameters:
    `ev` - the trace event.

### selected

    void selected(SelectionEvent ev)
                  throws javax.xml.transform.TransformerException

  Method that is called just after the formatter listener is called.

  Parameters:
    `ev` - the generate event.
  Throws:
    `javax.xml.transform.TransformerException`

### generated

    void generated(GenerateEvent ev)

  Method that is called just after the formatter listener is called.

  Parameters:
    `ev` - the generate event.

Copyright © 2005 Apache XML Project. All Rights Reserved.